import machine
import time
from motorbit_v1 import MotorBitV1

motorbit = MotorBitV1(machine.I2C(0, scl=22, sda=23))
motorbit.pca9685.frequency_hz = 10000
stepper_motor_1 = motorbit.stepper_motor(MotorBitV1.SM1)
stepper_motor_2 = motorbit.stepper_motor(MotorBitV1.SM2)

stepper_motor_1.excitation = MotorBitV1.StepperMotor.TWO_PHASE_FULL_STEP_EXCITATION  #设置相位激励模式
stepper_motor_1.rpm = 10  #设置速度，速度不宜过快，否则会丢步无法转动，单位RPM
stepper_motor_2.excitation = MotorBitV1.StepperMotor.TWO_PHASE_FULL_STEP_EXCITATION  #设置相位激励模式
stepper_motor_2.rpm = 10  #设置速度，速度不宜过快，否则会丢步无法转动，单位RPM

position_1 = 180
position_2 = 180
print_time = 0

print('run forward')
while True:
    stepper_motor_1.tick()
    stepper_motor_2.tick()

    if stepper_motor_1.reached_target_position:  #如果到达目标位置
        position_1 = -position_1  #反向
        stepper_motor_1.move(position_1)  #相对于当前位置移动{position}度

    if stepper_motor_2.reached_target_position:  #如果到达目标位置
        position_2 = -position_2  #反向
        stepper_motor_2.move(position_2)  #相对于当前位置移动{position}度

    if time.ticks_ms() - print_time > 100:  #每隔一段时间打印当前位置
        print_time = time.ticks_ms()
        print(stepper_motor_1.current_position,
              stepper_motor_2.current_position)
